<?
//  ԽǺ ȯ漳 ̺
$SQL_JINA_ADMIN = "CREATE TABLE JINA_ADMIN (
	JINA_TABLE VARCHAR(20) NOT NULL,
	JINA_ID VARCHAR(20),
	JINA_PASSWORD VARCHAR(40),
	JINA_SKIN_NAME VARCHAR(20) NOT NULL,
	JINA_UPLOAD CHAR(1),
	JINA_CHECK_VIEW CHAR(1),
	JINA_VIEW_RELATE CHAR(1),
	JINA_ARTICLE_PAGE SMALLINT(2) UNSIGNED DEFAULT '15' NOT NULL,
	JINA_PAGE_BLOCK SMALLINT(2) UNSIGNED DEFAULT '10' NOT NULL,
	JINA_DAYS SMALLINT(3) UNSIGNED DEFAULT '3' NOT NULL,
	JINA_SUBJECT_LENGTH SMALLINT(3) UNSIGNED DEFAULT '50' NOT NULL,
	JINA_URL VARCHAR(255),
	JINA_HEAD TEXT,
	JINA_FOOT TEXT,
	JINA_HEAD_FILE VARCHAR(255),
	JINA_FOOT_FILE VARCHAR(255),
	JINA_TITLE VARCHAR(255),
	JINA_FILE_VIEW CHAR(1),
	JINA_BGCOLOR VARCHAR(7),
	JINA_EMAIL VARCHAR(40),
	JINA_EMAIL_YN CHAR(1),
	JINA_AUTH_WRITE CHAR(1),
	JINA_AUTH_LIST CHAR(1),
	JINA_AUTH_DELETE CHAR(1),
	JINA_AUTH_VIEW CHAR(1),
	JINA_AUTH_NOTICE CHAR(1),
	JINA_IMAGE CHAR(1),
	JINA_MEMO_VIEW CHAR(1),
	JINA_FILTER TEXT,
	JINA_IMAGE_MAX_WIDTH SMALLINT(4) UNSIGNED DEFAULT '500' NOT NULL,
	JINA_IMAGE_VIEW CHAR(1),
	PRIMARY KEY (JINA_TABLE))";

//  ȸ ̺
$SQL_JINA_USER = "CREATE TABLE JINA_USER (
	C_INDEX INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	C_ID VARCHAR(20) NOT NULL,
	C_PASSWD VARCHAR(32) NOT NULL,
	C_NAME VARCHAR(20) NOT NULL,
	C_EMAIL VARCHAR(80) NOT NULL,
	C_QUESTION VARCHAR(255),
	C_ANSWER VARCHAR(100),
	C_DATE DATE,
	C_LEVEL INT(1) UNSIGNED NOT NULL,
	C_JUMIN VARCHAR(13),
	C_SEX CHAR(1),
	C_ZIP1 CHAR(3),
	C_ZIP2 CHAR(3),
	C_ADDRESS VARCHAR(255),
	C_PHONE VARCHAR(13),
	C_MOBILE VARCHAR(13),
	C_RECOMM VARCHAR(20),
	C_NEWSLETTER CHAR(1),
	C_POINT INT(10) UNSIGNED,
	C_URL VARCHAR(255),
	C_PRIVACY CHAR(1),
	PRIMARY KEY (C_INDEX),
	UNIQUE C_ID (C_ID))";

//  ȸ  ̺
$SQL_JINA_USER_ADMIN = "CREATE TABLE JINA_USER_ADMIN (
	C_INDEX INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	C_JUMIN CHAR(1),
	C_ZIP CHAR(1),
	C_PHONE CHAR(1),
	C_MOBILE CHAR(1),
	C_NEWSLETTER CHAR(1),
	C_POINT CHAR(1),
	C_RECOMM CHAR(1),
	C_POINT_WRITE INT(10) UNSIGNED,
	C_POINT_VIEW INT(10) UNSIGNED,
	C_POINT_LOGIN INT(10) UNSIGNED,
	C_POINT_RECOMM INT(10) UNSIGNED,
	C_JOIN CHAR(1),
	C_HEAD VARCHAR(255),
	C_HEAD_FILE TEXT,
	C_FOOT VARCHAR(255),
	C_FOOT_FILE TEXT,
	C_URL CHAR(1),
	C_PRIVACY CHAR(1),
	C_SEX CHAR(1),
	C_AUTO_ZIP CHAR(1),
	PRIMARY KEY (C_INDEX))";

//   ̺
$SQL_JINA_MESSAGE = "CREATE TABLE JINA_MESSAGE (
	C_INDEX INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	C_SID VARCHAR(20) NOT NULL,
	C_SNAME VARCHAR(20) NOT NULL,
	C_RID VARCHAR(20) NOT NULL,
	C_RNAME VARCHAR(20) NOT NULL,
	C_SDATE INT(10) UNSIGNED,
	C_RDATE INT(10) UNSIGNED,
	C_DELETE CHAR(1) NOT NULL,
	C_READ CHAR(1),
	C_MESSAGE TEXT,
	PRIMARY KEY (C_INDEX),
	KEY C_SID (C_SID),
	KEY C_RID (C_RID),
	KEY C_DELETE (C_DELETE))";

//  ȸ ȣ ̺
$SQL_JINA_ZIPCODE = "CREATE TABLE JINA_ZIPCODE (
	C_INDEX INT(5) NOT NULL,
	C_ZIP VARCHAR(6) NOT NULL,
	C_ADDR1 VARCHAR(12),
	C_ADDR2 VARCHAR(24) NOT NULL,
	C_ADDR3 VARCHAR(24) NOT NULL,
	C_ADDR4 VARCHAR(40),
	C_DDD INT(3),
	PRIMARY KEY (C_INDEX),
	KEY T_ADDR2 (C_ADDR2),
	KEY T_ADDR3 (C_ADDR3),
	KEY T_ZIP (C_ZIP))";

//  Խ ̺
$SQL_JINA_BOARD = "CREATE TABLE JINA_BOARD_$table (
	C_UID INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	C_FID INT(10) DEFAULT '-1' NOT NULL,
	C_HIT INT(10) UNSIGNED NOT NULL,
	C_DEPTH INT(10) UNSIGNED DEFAULT '1' NOT NULL,
	C_DATE INT(10) UNSIGNED NOT NULL,
	C_POS VARCHAR(240) NOT NULL,
	C_IP VARCHAR(20),
	C_PASSWD VARCHAR(20),
	C_NAME VARCHAR(20),
	C_EMAIL VARCHAR(40),
	C_SUBJECT VARCHAR(255),
	C_FILENAME VARCHAR(255),
	C_CONTENT TEXT,
	C_USETAG CHAR(1),
	C_REPLY_MAIL CHAR(1),
	C_ID VARCHAR(40),
	C_IMAGENAME VARCHAR(255),
	C_DOWNLOAD1 INT(10) UNSIGNED NOT NULL,
	C_DOWNLOAD2 INT(10) UNSIGNED NOT NULL,
	PRIMARY KEY (C_UID),
	KEY C_FID (C_FID, C_POS),
	KEY C_FID_IDX (C_FID),
	KEY C_DATE (C_DATE))";

//  ޸ ̺
$SQL_JINA_MEMO = "CREATE TABLE JINA_MEMO_$table (
	C_MID INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	C_UID INT(10) UNSIGNED NOT NULL,
	C_DATE INT(10) UNSIGNED,
	C_NAME VARCHAR(20),
	C_MEMO VARCHAR(255),
	C_PASSWD VARCHAR(20),
	C_ID VARCHAR(40),
	PRIMARY KEY (C_MID),
	KEY C_UID (C_UID))";

// ȸ  
$SQL_JINA_USER_ADMIN1 = "INSERT INTO JINA_USER_ADMIN
(C_INDEX, C_JUMIN, C_ZIP, C_PHONE, C_MOBILE,C_NEWSLETTER, C_POINT, C_RECOMM, C_POINT_WRITE, C_POINT_VIEW, C_POINT_LOGIN, C_POINT_RECOMM, C_JOIN, C_HEAD, C_HEAD_FILE, C_FOOT, C_FOOT_FILE, C_URL, C_PRIVACY, C_SEX, C_AUTO_ZIP) 
VALUES( '', '2', '3', '3', '2', '1', '1', '0', '10', '10', '10', '10', '2', '<div align=center><br><br><br>', '', '</div>', '', '1', '1', '0', '1')";

//   Է
$SQL_JINA_USER1 = "INSERT INTO JINA_USER(C_INDEX, C_ID, C_PASSWD, C_NAME, C_EMAIL, C_LEVEL, C_QUESTION, C_ANSWER, C_DATE) 
								VALUES( '', '$f_id', password('1111'), '$f_name', '$f_email', '6', '  ?', '', now())";

// Խ ȯ漳 Է
$SQL_JINA_ADMIN_INSERT = "INSERT INTO JINA_ADMIN (JINA_TABLE, JINA_ID, JINA_PASSWORD, JINA_SKIN_NAME, JINA_UPLOAD, JINA_CHECK_VIEW, JINA_VIEW_RELATE, JINA_ARTICLE_PAGE, JINA_PAGE_BLOCK, JINA_DAYS, JINA_SUBJECT_LENGTH, JINA_URL, JINA_HEAD, JINA_FOOT, JINA_HEAD_FILE, JINA_FOOT_FILE, JINA_TITLE, JINA_FILE_VIEW, JINA_BGCOLOR, JINA_EMAIL, JINA_EMAIL_YN, JINA_AUTH_WRITE, JINA_AUTH_LIST, JINA_AUTH_DELETE, JINA_AUTH_VIEW, JINA_AUTH_NOTICE, JINA_IMAGE, JINA_MEMO_VIEW, JINA_FILTER, JINA_IMAGE_MAX_WIDTH, JINA_IMAGE_VIEW)
											VALUES('$table', '', password('1111'), 'default', '1', '1', '2', '15', '10', '3', '40', 'http://jinaboard.com', '<table cellpadding=0 cellspacing=0 align=center width=600>
<tr>
	<td><br><br><br>', '</td>
					</tr>
					</table>', '', '', ' 3.0', '0', '#FFFFFF', '', '1', '0', '0', '4', '0', '4', '1', '1', '', '590', '0')";

// ġ Ϸ ޼
$f_time = time();
$f_ip = getenv("REMOTE_ADDR");
$SQL_JINA_BOARD1 = "INSERT INTO JINA_BOARD_$table (
C_UID, C_FID, C_HIT, C_DEPTH, C_POS, C_IP, C_NAME, C_PASSWD, C_USETAG, C_EMAIL, C_SUBJECT, C_CONTENT, C_DATE, C_REPLY_MAIL)	
VALUES ('', '-1', '0', '1', '001', '$f_ip', '', password('1111'), '0', '', ' ġ Ϸ ޼Դϴ.', ' ġ ϷǾϴ.', '$f_time', '0')";
?>